# -*- coding: utf-8 -*-
from setuphelpers import *

def is_vmware_host():
    wmi = wmi_info(keys=['Win32_ComputerSystem'])
    computer_system = wmi['Win32_ComputerSystem']

    if isinstance(computer_system, dict):
        if 'VMware, Inc.' in computer_system['Manufacturer']:
            return True

    if isinstance(computer_system, list):
        for v in computer_system:
            if 'VMware, Inc.' in v['Manufacturer']:
                return True
            
    return False


def install():
    bin_name = glob.glob("VMware-tools-*.exe")[0]
    print(f"Installing: {bin_name}")

    if not is_vmware_host():
        error("The current computer is not VMware virtual machine !")

    install_exe_if_needed(
        bin_name,
        silentflags='/S /v /qn REBOOT=R',
        name="VMware Tools",
        min_version=control.get_software_version(),
    )